chocolate-server(6)

NAME
chocolate-server - dedicated server for chocolate-doom

SYNOPSIS
chocolate-server [OPTIONS]

DESCRIPTION

Chocolate Doom is a modern doom engine designed to behave as similar to the original doom game as is possible.

chocolate-server is a dedicated server for Chocolate Doom. It is equivalent to running chocolate-doom with the "-dedicated" option.

Game options are not specified to the server, which merely acts to retransmit data between players in the game; parameters for the game should be specified by the first player to connect to the server, who is designated the controlling player.

OPTIONS

-ignoreversion
    Ignore version mismatches between the server and the client. Using this option may cause game desyncs to occur, or differences in protocol may mean the netgame will simply not function at all.

-port <n>
    Use the specified UDP port for communications, instead of the default (2342).

-privateserver
    Don't register with the global master server.

-servername <name>
    Specify a name for the server.

SEE ALSO
chocolate-doom(6), chocolate-setup(6)

AUTHOR
Chocolate Doom is written and maintained by Simon Howard.

This manual was written by Jon Dowland.

COPYRIGHT
Copyright © id Software Inc. Copyright © 2005-8 Simon Howard.
This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.